version: '3.6'

volumes:
  files:
    driver_opts:
      type: "nfs"
      o: "addr={{ environments[env].nfs.server_address | mandatory }},{{ environments[env].nfs.mount_opts | default(nfs_options) }}"
      device: ":{{ environments[env].nfs.app_mountpoint | mandatory }}/{{ service_name | mandatory }}-{{ env }}/app"
  ssl:
    driver_opts:
      type: "nfs"
      o: "addr={{ environments[env].nfs.server_address | mandatory }},{{ environments[env].nfs.mount_opts | default(nfs_options) }}"
      device: ":{{ environments[env].nfs.app_mountpoint | mandatory }}/{{ service_name | mandatory }}-{{ env }}/certs"

services:
  app:
    image: ${CI_REGISTRY_IMAGE}/app:${CI_COMMIT_SHORT_SHA}
    command: "true"
    volumes:
      - type: volume
        source: files
        target: /app
  libressl:
    image: registry.gitlab.com/live9/docker/containers/libressl:26ed0e60
    volumes:
      - type: volume
        source: ssl
        target: /etc/ssl
